Bug 1185685 - Review Request: vagrant-lxc - LXC-provider for vagrant
Summary: Review Request: vagrant-lxc - LXC-provider for vagrant
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-25 23:20 UTC by Michael Adam
Modified: 2015-02-13 02:23 UTC (History)
5 users (show)

Fixed In Version: vagrant-lxc-1.1.0-6.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 17:05:16 UTC
Type: ---
gdeschner: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Michael Adam 2015-01-26 05:55:52 UTC
A small update. moved some files from -doc to main package.

Spec URL: https://fedorapeople.org/~obnox/rpms/vagrant-lxc/1.1.0/2.fc22/vagrant-lxc.spec
SRPM URL: https://fedorapeople.org/~obnox/rpms/vagrant-lxc/1.1.0/2.fc22/vagrant-lxc-1.1.0-2.fc22.src.rpm

Comment 2 Michael Adam 2015-01-27 00:09:38 UTC
Another update. There was an issue with the sudoers-mechanism used by vagrant-lxc.
Fixed this to properly ship files with the RPM.

SRPM URL: https://fedorapeople.org/~obnox/rpms/vagrant-lxc/1.1.0/4.fc22/vagrant-lxc-1.1.0-4.fc22.src.rpm
Spec URL:  https://fedorapeople.org/~obnox/rpms/vagrant-lxc/1.1.0/4.fc22/vagrant-lxc.spec

Copr is updated.

Comment 3 Michael Adam 2015-01-29 23:17:42 UTC
Cleanups and fixes found by Günther in review:

Spec Url: https://obnox.fedorapeople.org/rpms/vagrant-lxc/1.1.0/6.fc22/vagrant-lxc.spec
SRPM Url: https://obnox.fedorapeople.org/rpms/vagrant-lxc/1.1.0/6.fc22/vagrant-lxc-1.1.0-6.fc22.src.rpm

Copr is updated.

Comment 4 Guenther Deschner 2015-01-30 11:08:34 UTC
Package Review
==============
 
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed
 
 
Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
  --> false positives. exceptions are justified
 
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE.txt in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
  --> fedora review outdated: license file %license instead of %doc
 
 
===== MUST items =====
 
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 43 files have unknown license. Detailed output of
     licensecheck in /home/obnox/review/vagrant-lxc/1185685-vagrant-
     lxc/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/vagrant/gems/gems/vagrant-
     lxc-1.1.0/scripts, /usr/share/vagrant/gems/gems, /usr/share/vagrant/gems,
     /usr/share/vagrant/gems/specifications, /usr/share/vagrant/gems/gems
     /vagrant-lxc-1.1.0/templates, /usr/share/vagrant,
     /usr/share/vagrant/gems/gems/vagrant-lxc-1.1.0/tasks,
     /usr/share/vagrant/gems/doc
     --> fixed. / to be fixed in vagrant rpm
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/vagrant/gems/doc,
     /usr/share/vagrant/gems/specifications, /usr/share/vagrant/gems/gems
     /vagrant-lxc-1.1.0/templates, /etc/sudoers.d,
     /usr/share/vagrant/gems/gems/vagrant-lxc-1.1.0/scripts,
     /usr/share/vagrant/gems/gems, /usr/share/vagrant/gems/gems/vagrant-
     lxc-1.1.0/tasks, /usr/share/vagrant/gems, /usr/share/vagrant
     --> fixed. / to be fixed in vagrant rpm
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
 
===== SHOULD items =====
 
Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in vagrant-
     lxc-doc
     --> for noarch, no _isa or explicit arch specification is possible
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
     --> unfulfilled dependencies for %check to work at the moment.
         will be activated later.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.
 
===== EXTRA items =====
 
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
 
 
Rpmlint
-------
Checking: vagrant-lxc-1.1.0-4.fc22.noarch.rpm
          vagrant-lxc-doc-1.1.0-4.fc22.noarch.rpm
          vagrant-lxc-1.1.0-4.fc22.src.rpm
vagrant-lxc.noarch: E: non-readable /etc/sudoers.d/vagrant-lxc 0440L
--> false positive: sudoers permission
vagrant-lxc.noarch: W: non-conffile-in-etc /etc/sudoers.d/vagrant-lxc
--> false positive: file should not be edited, file should be removed when rpm is uninstalled
vagrant-lxc.noarch: E: non-executable-script /usr/share/vagrant/gems/gems/vagrant-lxc-1.1.0/templates/sudoers.rb.erb 0644L /usr/bin/env
--> false positive: this is a template from which a script is generated
vagrant-lxc.noarch: E: non-standard-executable-perm /usr/share/vagrant/gems/gems/vagrant-lxc-1.1.0/scripts/vagrant-lxc-wrapper 0555L
--> false positive: the script is generated from template and should not be edited
vagrant-lxc-doc.noarch: W: hidden-file-or-dir /usr/share/vagrant/gems/gems/vagrant-lxc-1.1.0/spec/support/.gitkeep
--> fixed
vagrant-lxc-doc.noarch: E: zero-length /usr/share/vagrant/gems/gems/vagrant-lxc-1.1.0/spec/support/.gitkeep
--> fixed
vagrant-lxc.src:76: W: macro-in-comment %{buildroot}
vagrant-lxc.src:76: W: macro-in-comment %{_datadir}
vagrant-lxc.src:77: W: macro-in-comment %{SOURCE1}
vagrant-lxc.src:77: W: macro-in-comment %{buildroot}
vagrant-lxc.src:77: W: macro-in-comment %{_datadir}
--> all of these warnings fixed
vagrant-lxc.src:82: W: macro-in-comment %check
vagrant-lxc.src:83: W: macro-in-comment %{vagrant_plugin_instdir}
--> leaving these commented as we might want to enable %check at a later time.
3 packages and 0 specfiles checked; 4 errors, 9 warnings.
 
 
 
 
Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
 
 
Requires
--------
vagrant-lxc (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /usr/bin/env
    lxc
    ruby(release)
    ruby(rubygems)
    shadow-utils
    vagrant
 
vagrant-lxc-doc (rpmlib, GLIBC filtered):
    vagrant-lxc
 
 
 
Provides
--------
vagrant-lxc:
    vagrant-lxc
 
vagrant-lxc-doc:
    vagrant-lxc-doc
 
 
 
Source checksums
----------------
https://rubygems.org/gems/vagrant-lxc-1.1.0.gem :
  CHECKSUM(SHA256) this package     : c436e20e4f8078ca8513ccd99cc88afd7ddd8ee6cf12451d1d80bbe34bf9fa78
  CHECKSUM(SHA256) upstream package : c436e20e4f8078ca8513ccd99cc88afd7ddd8ee6cf12451d1d80bbe34bf9fa78
 
 
Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1185685
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Michael Adam 2015-01-30 11:18:33 UTC
Thanks for the review!


New Package SCM Request
=======================
Package Name: vagrant-lxc
Short Description: lxc provider for vagrant.
Upstream URL: https://github.com/fgrehm/vagrant-lxc
Owners: obnox gd
Branches: f21
InitialCC:

Comment 6 Michael Adam 2015-01-30 12:59:25 UTC
According to Vít, this bug has to be assigned to the reviewer.
Thanks for the hint!

Comment 7 Gwyn Ciesla 2015-01-30 13:57:02 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-01-30 16:57:11 UTC
vagrant-lxc-1.1.0-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/vagrant-lxc-1.1.0-6.fc21

Comment 9 Fedora Update System 2015-02-13 02:23:46 UTC
vagrant-lxc-1.1.0-6.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.